Public Member Functions | Private Member Functions | Private Attributes | List of all members
librevenge::RVNGPropertyListVector::Iter Class Reference

`#include <RVNGPropertyListVector.h>`

## Public Member Functions
| Iter (const RVNGPropertyListVector &vect)
virtual | ~Iter ()
void | rewind ()
bool | next ()
bool | last ()
const RVNGPropertyList & | operator() () const

## Private Member Functions
| Iter (const Iter &)
Iter & | operator= (const Iter &)

## Private Attributes
RVNGPropertyListVectorIterImpl * | m_iterImpl

## Constructor & Destructor Documentation

## ◆ Iter() [1/2]

librevenge::RVNGPropertyListVector::Iter::Iter | ( | const RVNGPropertyListVector & | vect | ) |

## ◆ ~Iter()

librevenge::RVNGPropertyListVector::Iter::~Iter | ( |  | ) |
| virtual

## ◆ Iter() [2/2]

librevenge::RVNGPropertyListVector::Iter::Iter | ( | const Iter & |  | ) |
| private

## Member Function Documentation

## ◆ last()

bool librevenge::RVNGPropertyListVector::Iter::last | ( |  | ) |

Referenced by librevenge::RVNGPropertyListVector::getPropString().

## ◆ next()

bool librevenge::RVNGPropertyListVector::Iter::next | ( |  | ) |

Referenced by librevenge::RVNGPropertyListVector::getPropString().

## ◆ operator()()

const RVNGPropertyList & librevenge::RVNGPropertyListVector::Iter::operator() | ( |  | ) | const

## ◆ operator=()

Iter& librevenge::RVNGPropertyListVector::Iter::operator= | ( | const Iter & |  | ) |
| private

## ◆ rewind()

void librevenge::RVNGPropertyListVector::Iter::rewind | ( |  | ) |

## Member Data Documentation

## ◆ m_iterImpl

RVNGPropertyListVectorIterImpl* librevenge::RVNGPropertyListVector::Iter::m_iterImpl
| private

The documentation for this class was generated from the following files:

- RVNGPropertyListVector.h
- RVNGPropertyListVector.cpp